// SPDX-License-Identifier: GPL-2.0-or-later

#pragma once

#    define LED_CAPS_LOCK_PIN F1
#    define WS2812_DI_PIN D4

#    define RGBLIGHT_LED_COUNT 12
#    define RGBLIGHT_HUE_STEP 8
#    define RGBLIGHT_SAT_STEP 8
#    define RGBLIGHT_VAL_STEP 8
#    define RGBLIGHT_LIMIT_VAL 255
#    define RGBLIGHT_ANIMATIONS
#    define RGBLIGHT_EFFECT_BREATHING
#    define RGBLIGHT_EFFECT_RAINBOW_MOOD
#    define RGBLIGHT_EFFECT_RAINBOW_SWIRL
#    define RGBLIGHT_EFFECT_SNAKE
#    define RGBLIGHT_EFFECT_KNIGHT
#    define RGBLIGHT_EFFECT_CHRISTMAS
#    define RGBLIGHT_EFFECT_STATIC_GRADIENT
#    define RGBLIGHT_EFFECT_RGB_TEST
#    define RGBLIGHT_EFFECT_ALTERNATING
#    define RGBLIGHT_BREATHE_TABLE_SIZE 256
#    define RGBLIGHT_EFFECT_BREATHE_CENTER 1.85
#    define RGBLIGHT_EFFECT_BREATHE_MAX    255

#    define LOCKING_SUPPORT_ENABLE
#    define LOCKING_RESYNC_ENABLE

#    define ENCODERS_PAD_A { B3 }
#    define ENCODERS_PAD_B { B2 }
#    define ENCODER_RESOLUTION 4

